List cached GAM advertisers
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/esa/{esaId}/gam/advertisers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/esa/{esaId}/gam/advertisers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/esa/{esaId}/gam/advertisers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"advertisers": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"currencyCode": "<string>"
}
],
"nextCursor": "<string>",
"syncedAt": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront Ad Server Buyer Routing
List cached GAM advertisers
List cached Google Ad Manager advertiser records for a Google Ad Manager-backed ad server source. Use this to select a default advertiser or buyer-specific mapping target.
GET
/
esa
/
{esaId}
/
gam
/
advertisers
List cached GAM advertisers
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/esa/{esaId}/gam/advertisers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/esa/{esaId}/gam/advertisers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/esa/{esaId}/gam/advertisers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"advertisers": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"currencyCode": "<string>"
}
],
"nextCursor": "<string>",
"syncedAt": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Ad server source connection id. The wire field remains esaId for API compatibility.
Required range:
0 < x <= 9007199254740991Example:
123
Query Parameters
Advertiser name substring or exact numeric advertiser id.
Alias for q.
Required range:
0 < x <= 500